Subject: bug#57400: 29.0.50; Support sending patches from VC directly

From: Philip Kaludercic <[email-masked]>
Date: Fri, 26 Aug 2022 11:26:29 +0000

Eli Zaretskii <[email-masked]> writes:

>>   5. Loop each file in `message-mode`. `C-c C-c` sends and goes to the
>>      next patch, `C-c C-k` cancels the whole thing.
>
> Please don't hard-code message-mode.  Please honor the user setting of
> mail-user-agent instead.

Is there a generic way to handle any mail-user-agent?  E.g. if you want
to add attachments, is there any better way that just doing a case
distinction on known user agent implementations?

> Also, I'm not sure why we'd need to send each patch file separately.
> Why not add them one by one as attachments to the same email message?

This wouldn't work if we are sending patches to a mailing list that
assumes patches are sent out by git send-email, and that the messages
can be filtered through git am.